[Setup]
AppName=My Program
AppVerName=My Program version 1.5
DefaultDirName={pf}\My Program

[Files]
Source: compiler:InnoCallback.dll; Flags: dontcopy
Source: test.bat; DestDir: {tmp}; AfterInstall: Unpack(); Flags: ignoreversion

[Code]
type
  TProc = procedure(HandleW, msg, idEvent, TimeSys: LongWord);

var
  TimerID: LongWord;

function WrapTimerProc(callback:TProc; paramcount:integer):longword; external 'wrapcallback@files:innocallback.dll stdcall';
function SetTimer(hWnd: LongWord; nIDEvent, uElapse: LongWord; lpTimerFunc: LongWord): LongWord; external 'SetTimer@user32.dll stdcall';
function KillTimer(hWnd: LongWord; nIDEvent: LongWord): LongWord; external 'KillTimer@user32.dll stdcall';

procedure OnTimer(HandleW, msg, idEvent, TimeSys: LongWord);
begin
  with WizardForm.ProgressGauge do
    Position:= (Position + 1) mod Max;
end;

procedure Unpack();
var
  ResultCode: Integer; pfunc: LongWord;
begin
  WizardForm.ProgressGauge.Position:= 0;
  WizardForm.ProgressGauge.Max:= 100;

  pfunc:= WrapTimerProc(@OnTimer, 4);
  TimerID:= SetTimer(0, 0, 50, pfunc);
  Exec(ExpandConstant('{tmp}\test.bat'), '', '', SW_HIDE, ewWaitUntilTerminated, ResultCode);
end;

procedure DeinitializeSetup();
begin
  KillTimer(0, TimerID);
end;
