[Setup]
AppName=My Program
AppVerName=My Program v.1.2
DefaultDirName={pf}\My Program

[Code]
type
  HRESULT = Longint;

  TGUID = record
    D1: Longword;
    D2: Word;
    D3: Word;
    D4: array[0..7] of Byte;
  end;

function CoCreateGuid (var pGUID : TGUID) : longint;  external 'CoCreateGuid@OLE32.DLL stdcall';
function StringFromGUID2(const pGUID : TGUID; str : string; cchMax : integer): HRESULT; external 'StringFromGUID2@OLE32.DLL stdcall';

function Succeeded(Status: HRESULT): BOOL;
begin
  Result := Status and HRESULT($80000000) = 0;
end;

function GenGuiD : String;
var
  str: string;
  PGUID : TGuid;
  lResult : longint;
begin
  str:= StringOfChar(#0, 75+1);
  lResult := CoCreateGuid(PGUID);
  lResult:= StringFromGUID2(PGUID, str, Length(str));
  if  Succeeded(lResult)
  then
  begin
    StringChangeEx(str, #0, '', True);
    MsgBox('GUID: ' + str, mbError, MB_OK)
  end
  else MsgBox('Error', mbError, MB_OK);
end;

procedure InitializeWizard();
begin
  GenGuiD;
end;