[Setup]
AppName=FolderIcon
AppVerName=FolderIcon
DefaultDirName={pf}\My Program

[Code]
Function ExpandConstantENV(String: String): String; var n: Integer;	Begin { ExpandConstant +    %SystemRoot%}
		Result:= ExpandConstant(String); n:= Pos('%', Result); if n = 0 then Exit;
		Delete(Result, n, 1); Result:= Copy(Result, 1, n-1) + ExpandConstant('{%' +Copy(Result, n, Pos('%', Result) -n) + '}') + Copy(Result, Pos('%', Result) +1, Length(Result))
	End;

Function FolderIcon(AFolder, AIcon: String; Index: Integer): Boolean; var Folder, Icon, IniFile: String; ErrorCode: Integer; {    }
Begin
	Folder:= ExpandConstantENV(AFolder); IniFile:= AddBackslash(Folder) + 'desktop.ini'; Icon:= ExpandConstantENV(AIcon);
	if DirExists(Folder) and FileExists(Icon) and SaveStringToFile(IniFile, '[.ShellClassInfo]' + #13, true) then Result:= true else Exit;
		if RemoveBackslash(ExtractFilePath(Icon)) = Folder then Icon:= ExtractFileName(Icon)
		SaveStringToFile(IniFile, 'IconFile' + '=' + Icon + #13 + 'IconIndex' + '=' + IntToStr(Index) + #13, true);
	if not Exec('attrib', ' +r ' + '"' + Folder + '"', '', SW_HIDE, ewWaitUntilTerminated, ErrorCode) then Exit;
	Exec('attrib', ' +h +s ' + '"' + IniFile + '"', '', SW_HIDE, ewWaitUntilTerminated, ErrorCode);
End;

Procedure CurStepChanged(CurStep: TSetupStep);
Begin
    if CurStep = ssDone then FolderIcon('{app}', '{sys}\shell32.dll', 126)
End;
