[Setup]
AppName=My Program
AppVerName=My Program version 1.5
DefaultDirName={pf}\My Program

[Code]
type TSystemTime = record wYear, wMonth, wDayOfWeek, wDay, wHour, wMinute, wSecond, wMilliseconds: Word; end;
var StartTime, Time: TSystemTime; StartFileTime, FileTime: TFileTime; TLabel: TNewStaticText;

function GetLocalTime(var lpSystemTime: TSystemTime): Boolean; external 'GetLocalTime@kernel32.dll stdcall';
function SystemTimeToFileTime(const lpSystemTime: TSystemTime; var lpFileTime: TFileTime): Boolean; external 'SystemTimeToFileTime@kernel32.dll stdcall';
function FileTimeToSystemTime(const lpFileTime: TFileTime; var lpSystemTime: TSystemTime): Boolean; external 'FileTimeToSystemTime@kernel32.dll stdcall';

Function GetWorkTime: String;
Begin
	GetLocalTime(Time)	{  }
	SystemTimeToFileTime(Time, FileTime)
	SystemTimeToFileTime(StartTime, StartFileTime)

//	   64-  ULARGE_INTEGER
	FileTime.dwLowDateTime:= FileTime.dwLowDateTime - StartFileTime.dwLowDateTime
	FileTime.dwHighDateTime:= FileTime.dwHighDateTime - StartFileTime.dwHighDateTime

	FileTimeToSystemTime(FileTime, Time)
    Result:= ': ' + IntToStr(Time.wHour) + ' , ' + IntToStr(Time.wMinute) + ' , ' + FloatToStr((Time.wSecond*1000 + Time.wMilliseconds)/1000) + ' .'
End;

Procedure CurPageChanged(CurPageID: Integer);
Begin
    if CurPageID = wpFinished then TLabel.Caption:= TLabel.Caption + #13#10 + GetWorkTime;
End;

Procedure InitializeWizard;
Begin
    GetLocalTime(StartTime)    {  }
    TLabel:= TNewStaticText.Create(WizardForm);
    TLabel.Top:= WizardForm.CancelButton.Top;
    TLabel.Left:= WizardForm.ClientWidth - WizardForm.CancelButton.Left - WizardForm.CancelButton.Width;
    TLabel.Parent:= WizardForm;
    TLabel.Caption:= ' : ' + IntToStr(StartTime.wHour) + ' , ' + IntToStr(StartTime.wMinute) + ' , ' + FloatToStr((StartTime.wSecond*1000 + StartTime.wMilliseconds)/1000) + ' .' ;
End;

