[Setup]
AppName=Biohazard 4
AppVerName=Biohazard 4 (Resident Evil 4)
DefaultDirName={sd}\Games\Biohazard 4
DefaultGroupName=Biohazard 4
OutputDir=D:\B
OutputBaseFilename=setup
AllowNoIcons=yes
Compression=lzma/ultra
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=727000000
UninstallLogMode=overwrite

[Languages]
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "D:\Biohazard 4\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\  Biohazard 4"; Filename: "{app}\game.exe"; WorkingDir: "{app}";
Name: "{group}\"; Filename: "{app}\SetupTool.exe"; WorkingDir: "{app}";
Name: "{group}\ Biohazard 4"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\Biohazard 4"; Filename: "{app}\game.exe"; Tasks: desktopicon; WorkingDir: "{app}";

[Registry]
Root: HKLM; Subkey: "Software\CAPCOM"; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\CAPCOM\biohazard 4"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\CAPCOM\biohazard 4"; ValueType: string; ValueName: "PATH"; ValueData: "{app}"

