[Setup]
AppName=stalker
AppVerName=stalker
DefaultDirName={pf}\stalker
DefaultGroupName=stalker
AllowNoIcons=yes
Compression=lzma/ultra
SolidCompression=yes
Uninstallable=yes

[Files]
Source: user.ltx; DestDir: {commondocs}\STALKER-SHOC\ ; Flags: ignoreversion; AfterInstall: ReplaceLine

[Code]
procedure ReplaceLine();
var
  S: TArrayOfString;
  F: String;
  i:integer;
begin
  F := ExpandConstant('{commondocs}')+'\STALKER-SHOC\user.ltx';
  if not FileExists(F) then
    Exit;
  LoadStringsFromFile(F, S);
  for i:=0 to GetArrayLength(S)-1 do begin
    if Pos('r2_gloss_factor',S[i])>0 then
    S[i]:='r2_gloss_factor 2.5';
  end;
  SaveStringsToFile(F, S, False);
end;