[Setup]
AppName=UninsPassword
AppVerName=UninsPassword
DisableProgramGroupPage=true
DefaultDirName={pf}\UninsPassword
OutputDir=C:\

[Code]
function AskPassword(): Boolean;
var
  Form: TSetupForm;
  OKButton, CancelButton: TButton;
  PwdEdit: TPasswordEdit;

begin
  Result:=False
  Form:=CreateCustomForm()
  try
    Form.ClientWidth:=256
    Form.ClientHeight:=100
    Form.Caption:=' '
    Form.BorderIcons:=[biSystemMenu]
    Form.BorderStyle:=bsDialog
    Form.Center

    OKButton:=TButton.Create(Form)
    OKButton.Parent:=Form
    OKButton.Width:=75
    OKButton.Height:=23
    OKButton.Left:=50
    OKButton.Top:=67
    OKButton.Caption:='OK'
    OKButton.ModalResult:=mrOk
    OKButton.Default:=true

    CancelButton:=TButton.Create(Form)
    CancelButton.Parent:=Form
    CancelButton.Width:=75
    CancelButton.Height:=23
    CancelButton.Left:=130
    CancelButton.Top:=67
    CancelButton.Caption:=''
    CancelButton.ModalResult:=mrCancel
    CancelButton.Cancel:=True

    PwdEdit:=TPasswordEdit.Create(Form)
    PwdEdit.Parent:=Form
    PwdEdit.Width:=210
    PwdEdit.Height:=23
    PwdEdit.Left:=23
    PwdEdit.Top:=23

    Form.ActiveControl:=PwdEdit

if Form.ShowModal() = mrOk then
  begin
    Result:=PwdEdit.Text = '12345'  //
    if not Result then
    MsgBox(' ,  .', mbInformation, MB_OK)
  end
  finally
    Form.Free()
  end
end;

function InitializeUninstall(): Boolean;
begin
  Result:=AskPassword()
end;
