[Setup]
AppName=Background Image
AppVerName=Background Image
CreateAppDir=false

[Files]
Source: BackgroundImage.bmp; DestDir: embedded; Flags: dontcopy noencryption

[Code]
function ShowWindow(hWnd, nCmdShow: LongWord): LongWord; external 'ShowWindow@user32.dll stdcall';

Procedure BackgroundOnActivate(Sender: TObject); Begin if WizardForm.Visible then WizardForm.Show End;

Procedure InitializeWizard;
var BackgroundForm: TForm; BackgroundImage: TBitmapImage;
	Begin
BackgroundForm:= TForm.Create(nil)
	BackgroundForm.BorderStyle:= bsNone
	BackgroundForm.OnActivate:= @BackgroundOnActivate;
	ShowWindow(BackgroundForm.Handle, sw_ShowMaximized)	//     
BackgroundImage:= TBitmapImage.Create(BackgroundForm)
	BackgroundImage.Align:= alClient
	BackgroundImage.Stretch:= True
ExtractTemporaryFile('BackgroundImage.bmp')
	BackgroundImage.Bitmap.LoadFromFile(ExpandConstant('{tmp}\BackgroundImage.bmp'))
	BackgroundImage.Parent:= BackgroundForm
end;
