[Setup]
AppName=My Program
AppVerName=My Program [Version]
DefaultDirName={pf}\My Program
OutputDir=.

[Code]
var
  nCount: Integer;
  nImage: array [0..100] of String;

function FillBMPArray(const fromDir, fileMask: String; Level: Byte): Integer;
var
  FSR, DSR: TFindRec;
  FindResult: Boolean;
  APath: String;

begin
  APath := AddBackslash(fromDir);
  FindResult := FindFirst(APath + fileMask, FSR);
  try
    while FindResult do
    begin
      if (FSR.Attributes and FILE_ATTRIBUTE_DIRECTORY = 0) then
         begin
  {Files} nImage[nCount] := APath + FSR.Name;
          nCount := nCount + 1;
         end;
      FindResult := FindNext(FSR);
    end;

    FindResult := FindFirst(APath + '*.*', DSR);

    while FindResult do
    begin
      if ((DSR.Attributes and FILE_ATTRIBUTE_DIRECTORY) = FILE_ATTRIBUTE_DIRECTORY) and not ((DSR.Name = '.') or (DSR.Name = '..')) then
          begin
{Recursion} FillBMPArray(APath + DSR.Name, fileMask, Level + 1);
          end;
      FindResult := FindNext(DSR);
    end;
  finally
    FindClose(FSR);
    FindClose(DSR);
  end;
  Result := nCount;
end;

procedure InitializeWizard();
begin
  if (FillBMPArray(ExpandConstant('{src}\Images'), '*.BMP', 1) > 0) then
      WizardForm.WizardBitmapImage.Bitmap.LoadFromFile(nImage[Random(nCount)]);
end;

