[Setup]
AppName=Inno Setup
AppVerName=Inno Setup
DefaultDirName=test

[ISPP]
#define SkinFile "C:\Program Files\HiSoft\Inno Script Generator\Include\SkinCrafter\Zondar.skf"
#define SkinFolder "C:\Program Files\HiSoft\Inno Script Generator\Include\SkinCrafter"
#include SkinFolder + "\SkinCrafter.inc"

[Code]
var Rect: TRect; hIcon: LongInt;

function GetModuleHandle(lpModuleName: LongInt): LongInt; external 'GetModuleHandleA@kernel32.dll stdcall';
function ExtractIcon(hInst: LongInt; lpszExeFileName: PChar; nIconIndex: LongInt): LongInt; external 'ExtractIconA@shell32.dll stdcall';
function DrawIconEx(hdc: LongInt; xLeft, yTop: Integer; hIcon: LongInt; cxWidth, cyWidth: Integer; istepIfAniCur, hbrFlickerFreeDraw, diFlags: LongInt): LongInt; external 'DrawIconEx@user32.dll stdcall';
function LoadImage(hInst: LongInt; lpszExeFileName: PChar; uType: DWord; cxDesired, cyDesired: LongInt; fuLoad: DWord): hWnd; external 'LoadImageA@user32.dll stdcall';
function LoadBitmap(hInst: LongInt; lpBitmapName: PChar): HBITMAP; external 'LoadBitmapA@user32.dll stdcall';

Procedure CurPageChanged(CurPageID: Integer);
Begin	if CurPageID <> wpWelcome then Exit;

hIcon:= ExtractIcon(GetModuleHandle(0), ExpandConstant('{sys}\shell32.dll'), 15);
with TBitmapImage.Create(WizardForm) do begin
	Width:= 48; Height:= 48; //BackColor:= $FF00FF
with Bitmap do begin
	Width:= 32; Height:= 32; Rect.Right:= 32; Rect.Bottom:= 32; Rect.Left:= 0; Rect.Top:= 0;
	Canvas.Brush.Color:= WizardForm.Color;	{  }
	Canvas.FillRect(Rect);
	DrawIconEx(Canvas.Handle, 0, 0, hIcon, 32, 32, 0, 0, 3);
	end;
Parent:= PageFromID(wpWelcome).Surface;
end;
End;


procedure InitializeWizard();
begin
   SkinCrafter_InitializeWizard();
end;
