;       
;1)  {app}
;2)        ,  {app}\temp.
;
;3)   {app} \Temp      .
;:     ,           {app}\temp,   (      )
;
;4)      {app}\temp .
;
;      (     )        (..  1., 2.,  .3).
;   .4 (    ).

;   .     -.  RenameFile  .     .

[Setup]
AppName=My Program
AppVerName=My Program v.1.2
DefaultDirName={pf}\My Program

[Files]
Source: Files\*; DestDir: {app}; Flags: recursesubdirs; BeforeInstall: Unpack; AfterInstall: MoveFiles

[Code]
var
  IsUnpacked: Boolean;

procedure Unpack();
var
  ResultCode: Integer;
  paramstr: string;
begin
  if Not IsUnpacked then
    begin
      paramstr:= '-y -o"' + ExpandConstant('{app}\TMP') + '"';
      Exec(ExpandConstant('{src}\archive.exe'), paramstr, '', SW_HIDE, ewWaitUntilTerminated, ResultCode);
      IsUnpacked:= True;
    end;
end;

procedure MoveFiles();
var
  src, dest: string;
begin
  src := ExpandConstant(CurrentFileName);
  Delete(src, 1, Length(ExpandConstant('{app}')));
  dest:= src;
  src := ExpandConstant('{app}\TMP') + src;
  dest:= ExpandConstant('{app}') + dest;
  RenameFile(src, dest);
end;

procedure DeinitializeSetup();
begin
  DelTree(ExpandConstant('{app}\TMP'), True, True, True);
end;
