[Setup]
AppName=MyProga
AppVerName=MyProga v 1.0
DefaultDirName={code:GetInstallPath}

[Code]
function GetInstallPath( AppID: String ): String;
var Path: String;
begin
  Path:= '';
  RegQueryStringValue(HKLM, 'SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Proga_is1','InstallLocation', Path);
  Result:= Path;
end;

function InitializeSetup(): Boolean;
begin
  if RegValueExists(HKLM, 'SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Proga_is1','InstallLocation') then
  begin
    Result := True;
  end else
  begin
    SuppressibleMsgBox('Proga   !', mbCriticalError, MB_OK, MB_OK);
    Result := False;
    Exit;
  end;
end;

