[Setup]
AppName=Condemned - Criminal Origins
AppVerName=Condemned - Criminal Origins v1.0
DefaultDirName={sd}\Condemned - Criminal Origins
DefaultGroupName=Condemned - Criminal Origins
OutputDir=D:\F
OutputBaseFilename=setup
Compression=lzma/ultra
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=727000000
AllowNoIcons=yes
UninstallLogMode=overwrite

[Languages]
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Components]
Name: "eng"; Description: " ";  Flags: exclusive
Name: "rus"; Description: " ";  Flags: exclusive

[Types]
Name: "custom"; Description: " "; Flags: iscustom

[Files]
Source: "D:\CONDEMNED\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs
Source: "D:\DIR\*"; DestDir: "{commondocs}\Monolith Productions"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\  Condemned - Criminal Origins"; Filename: "{app}\condemned.exe"; WorkingDir: "{app}"
Name: "{group}\  "; Filename: "{commondocs}\Monolith Productions"; WorkingDir: "{commondocs}\Monolith Productions"
Name: "{group}\ Condemned - Criminal Origins"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\Condemned - Criminal Origins"; Filename: "{app}\condemned.exe"; Tasks: desktopicon; WorkingDir: "{app}"
Name: "{app}\View the player data folder"; Filename: "{commondocs}\Monolith Productions"; WorkingDir: "{commondocs}\Monolith Productions"

[Registry]
Root: HKLM; Subkey: "Software\Condemned"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Condemned"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"

[Run]
Filename: "{src}\Redist\WMFADist.exe"; WorkingDir: "{src}\Redist"; Parameters: "/Q"; StatusMsg: " ..."; Flags: waituntilterminated
Components: rus; Filename: "{src}\Rus\CONDEMNED_RUS.exe"; WorkingDir: "{src}\Rus"; Parameters: "-y -o""{app}"""; StatusMsg: " ..."; Flags: waituntilterminated


