[Setup]
AppName=
AppVerName= v1.4
DefaultDirName={sd}\Games\Hellforces
DefaultGroupName=Hellforces
OutputDir=D:\H
OutputBaseFilename=setup
AllowNoIcons=yes
Compression=lzma/ultra
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=727000000
UninstallLogMode=overwrite

[Languages]
Name: "russian"; MessagesFile: "compiler:Languages\Russian.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "D:\Hellforces\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\  "; Filename: "{app}\hell.exe"; WorkingDir: "{app}";
Name: "{group}\"; Filename: "{app}\config.exe"; WorkingDir: "{app}";
Name: "{group}\ "; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\"; Filename: "{app}\hell.exe"; Tasks: desktopicon; WorkingDir: "{app}";

[Registry]
Root: HKLM; Subkey: "Software\Orion\Hellforces"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Orion\Hellforces"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"

[Run]
Filename: "{src}\Redist\WM9Codecs.exe"; WorkingDir: "{src}\Redist"; Parameters: "/Q"; StatusMsg: " ..."; Flags: waituntilterminated



