#define MyAppName "Postal 2"
#define MyAppVerName "Postal 2 -   "
#define MyAppExeName "POSTAL2.exe"

[Setup]
AppName={#MyAppName}
AppVerName={#MyAppVerName}
DefaultDirName={sd}\Games\Postal 2
DefaultGroupName=Postal 2
OutputDir=D:\P2
OutputBaseFilename=setup
Compression=lzma/ultra
SolidCompression=yes
InfoBeforeFile=C:\doc.txt
DiskSpanning=yes
DiskSliceSize=730000000
UninstallLogMode=overwrite

[Registry]
Root: HKLM; Subkey: "Software\Akella Games"; Flags: createvalueifdoesntexist uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\Akella Games\Postal 2"; Flags: createvalueifdoesntexist uninsdeletekey
Root: HKLM; Subkey: "Software\Akella Games\Postal 2\1.00.000"
Root: HKLM; Subkey: "Software\Akella Games\Postal2"; ValueType: string; ValueName: "Path"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Akella Games\Postal 2  "; Flags: createvalueifdoesntexist uninsdeletekey
Root: HKLM; Subkey: "Software\Akella Games\Postal 2  \1.00.000"
Root: HKLM; Subkey: "Software\Akella Games\Postal2ShprotMod"; ValueType: string; ValueName: "Path"; ValueData: "{app}"

Root: HKLM; Subkey: "Software\Running With Scissors"; Flags: createvalueifdoesntexist uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\Running With Scissors\Postal2"; Flags: createvalueifdoesntexist uninsdeletekey
Root: HKLM; Subkey: "Software\Running With Scissors\Postal2\Full"; ValueType: string; ValueName: "Country"; ValueData: "RU"
Root: HKLM; Subkey: "Software\Running With Scissors\Postal2\Full"; ValueType: string; ValueName: "InstallDir"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Running With Scissors\Postal2\Full"; ValueType: string; ValueName: "Launch"; ValueData: "{app}\system\POSTAL2.exe"
Root: HKLM; Subkey: "Software\Running With Scissors\Postal2\Full"; ValueType: dword; ValueName: "MpUpgrade"; ValueData: "$580"
Root: HKLM; Subkey: "Software\Running With Scissors\Postal2\Full"; ValueType: dword; ValueName: "Version"; ValueData: "$580"
Root: HKLM; Subkey: "Software\Running With Scissors\Postal2\Full\RU"; ValueType: string; ValueName: "InstallDir"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Running With Scissors\Postal2\Full\RU"; ValueType: string; ValueName: "Launch"; ValueData: "{app}\system\POSTAL2.exe"
Root: HKLM; Subkey: "Software\Running With Scissors\Postal2\Full\RU"; ValueType: dword; ValueName: "MpUpgrade"; ValueData: "$580"
Root: HKLM; Subkey: "Software\Running With Scissors\Postal2\Full\RU"; ValueType: dword; ValueName: "Version"; ValueData: "$580"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "C:\Postal2Splash.bmp"; DestDir: "{sd}"; Flags: ignoreversion; Attribs: hidden
Source: "D:\Postal 2\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\  Postal 2"; Filename: "{app}\system\{#MyAppExeName}"; WorkingDir: "{app}\system"
Name: "{group}\  Postal 2  "; Filename: "{app}\system\{#MyAppExeName}"; WorkingDir: "{app}\system"; Parameters: "TubeStartup.fuk USERINI=TubeUser.ini INI=TubePostal2.ini"
Name: "{group}\{cm:UninstallProgram,Postal 2}"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\Postal 2"; Filename: "{app}\system\{#MyAppExeName}"; Tasks: desktopicon; WorkingDir: "{app}\system"
Name: "{userdesktop}\Postal 2  "; Filename: "{app}\system\{#MyAppExeName}"; Tasks: desktopicon; WorkingDir: "{app}\system"; Parameters: "TubeStartup.fuk USERINI=TubeUser.ini INI=TubePostal2.ini"



