[Setup]
AppName=Quake 4
AppVerName=Quake 4 v1.3
DefaultDirName={sd}\Games\Quake 4
DefaultGroupName=Quake 4
OutputDir=D:\Q4
OutputBaseFilename=setup
Compression=zip
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=720000000
AllowNoIcons=yes
AppCopyright=Activision
VersionInfoCompany=ID Software/Raven Software
VersionInfoDescription= Quake 4
VersionInfoVersion=1.3.0.2393
WizardImageFile=C:\shot00055.bmp
WizardSmallImageFile=C:\6578b.bmp
UninstallLogMode=overwrite

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Files]
Source: "D:\Quake 4\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\  Quake 4"; Filename: "{app}\quake4.exe"; WorkingDir: "{app}"
Name: "{group}\ Quake 4"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\Quake 4"; Filename: "{app}\quake4.exe"; Tasks: desktopicon; WorkingDir: "{app}"

[Registry]
Root: HKLM; Subkey: "Software\id"; Flags: createvalueifdoesntexist uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\id\Quake 4"; Flags: createvalueifdoesntexist uninsdeletekey
Root: HKLM; Subkey: "Software\id\Quake 4"; ValueType: string; ValueName: "CDKey"; ValueData: "MPJGX7J7777C777F7777"
Root: HKLM; Subkey: "Software\id\Quake 4"; ValueType: string; ValueName: "InstallDrive"; ValueData: "{src}"
Root: HKLM; Subkey: "Software\id\Quake 4"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\id\Quake 4"; ValueType: string; ValueName: "Language"; ValueData: "2057"
Root: HKLM; Subkey: "Software\id\Quake 4"; ValueType: string; ValueName: "LanguageCode"; ValueData: "ENG"
Root: HKLM; Subkey: "Software\id\Quake 4"; ValueType: string; ValueName: "SPexe"; ValueData: "{app}\quake4.exe"
Root: HKLM; Subkey: "Software\id\Quake 4"; ValueType: string; ValueName: "IntVersion"; ValueData: "2147.1"
Root: HKLM; Subkey: "Software\id\Quake 4"; ValueType: string; ValueName: "Version"; ValueData: "1.3"
Root: HKLM; Subkey: "Software\id\Quake 4"; ValueType: string; ValueName: "MapPack"; ValueData: "1"
Root: HKLM; Subkey: "Software\id\Quake 4"; ValueType: string; ValueName: "UninstallString"; ValueData: "{uninstallexe}"
Root: HKLM; Subkey: "Software\id\Quake 4"; ValueType: string; ValueName: "StartMenuFolder"; ValueData: "{group}"
Root: HKLM; Subkey: "Software\id\Quake 4"; ValueType: string; ValueName: "InstallLog"; ValueData: "{app}\unins000.dat"

Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: string; ValueName: "AuthorizedCDFPrefix"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: string; ValueName: "Comments"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: string; ValueName: "Contact"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: string; ValueName: "DisplayName"; ValueData: "Quake 4(TM) 1.0.4 Patch"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: string; ValueName: "DisplayVersion"; ValueData: "1.0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: dword; ValueName: "EstimatedSize"; ValueData: "$3530"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: string; ValueName: "HelpLink"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: string; ValueName: "HelpTelephone"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: string; ValueName: "InstallDate"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: string; ValueName: "InstallLocation"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: string; ValueName: "InstallSource"; ValueData: "{tmp}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: dword; ValueName: "Language"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: dword; ValueName: "NoModify"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: dword; ValueName: "NoRemove"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: dword; ValueName: "NoRepair"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: string; ValueName: "Publisher"; ValueData: "Activision"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: string; ValueName: "Readme"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: string; ValueName: "Size"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: dword; ValueName: "SystemComponent"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: string; ValueName: "URLInfoAbout"; ValueData: "http://www.activision.com"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: string; ValueName: "URLUpdateInfo"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: dword; ValueName: "Version"; ValueData: "$1000000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: dword; ValueName: "VersionMajor"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: dword; ValueName: "VersionMinor"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{1511AACF-4D88-46AF-88A1-D1194010CA2E}"; ValueType: dword; ValueName: "WindowsInstaller"; ValueData: "$1"

Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: string; ValueName: "AuthorizedCDFPrefix"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: string; ValueName: "Comments"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: string; ValueName: "Contact"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: string; ValueName: "DisplayName"; ValueData: "Quake 4(TM) 1.1 Patch"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: string; ValueName: "DisplayVersion"; ValueData: "1.0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: dword; ValueName: "EstimatedSize"; ValueData: "$1a4b8"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: string; ValueName: "HelpLink"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: string; ValueName: "HelpTelephone"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: string; ValueName: "InstallDate"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: string; ValueName: "InstallLocation"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}}"; ValueType: string; ValueName: "InstallSource"; ValueData: "{tmp}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: dword; ValueName: "Language"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: dword; ValueName: "NoModify"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: dword; ValueName: "NoRemove"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: dword; ValueName: "NoRepair"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: string; ValueName: "Publisher"; ValueData: "Activision"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: string; ValueName: "Readme"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: string; ValueName: "Size"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: dword; ValueName: "SystemComponent"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: string; ValueName: "URLInfoAbout"; ValueData: "http://www.activision.com"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: string; ValueName: "URLUpdateInfo"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: dword; ValueName: "Version"; ValueData: "$1000000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: dword; ValueName: "VersionMajor"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: dword; ValueName: "VersionMinor"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{7AF0B158-E0FF-463C-9828-948C21C409A7}"; ValueType: dword; ValueName: "WindowsInstaller"; ValueData: "$1"

Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: string; ValueName: "AuthorizedCDFPrefix"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: string; ValueName: "Comments"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: string; ValueName: "Contact"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: string; ValueName: "DisplayName"; ValueData: "Quake 4(TM) 1.1 To 1.2 Patch Update"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: string; ValueName: "DisplayVersion"; ValueData: "1.0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: dword; ValueName: "EstimatedSize"; ValueData: "$610c"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: string; ValueName: "HelpLink"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: string; ValueName: "HelpTelephone"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: string; ValueName: "InstallDate"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: string; ValueName: "InstallLocation"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}}"; ValueType: string; ValueName: "InstallSource"; ValueData: "{tmp}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: dword; ValueName: "Language"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: dword; ValueName: "NoModify"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: dword; ValueName: "NoRemove"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: dword; ValueName: "NoRepair"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: string; ValueName: "Publisher"; ValueData: "Activision"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: string; ValueName: "Readme"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: string; ValueName: "Size"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: dword; ValueName: "SystemComponent"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: string; ValueName: "URLInfoAbout"; ValueData: "http://www.activision.com"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: string; ValueName: "URLUpdateInfo"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: dword; ValueName: "Version"; ValueData: "$1000000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: dword; ValueName: "VersionMajor"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: dword; ValueName: "VersionMinor"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{F7E110BE-00D1-4A1E-9707-A1A97754040D}"; ValueType: dword; ValueName: "WindowsInstaller"; ValueData: "$1"

Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: string; ValueName: "AuthorizedCDFPrefix"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: string; ValueName: "Comments"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: string; ValueName: "Contact"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: string; ValueName: "DisplayName"; ValueData: "Quake 4(TM) 1.2 To 1.3 Patch Update"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: string; ValueName: "DisplayVersion"; ValueData: "1.0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: dword; ValueName: "EstimatedSize"; ValueData: "$21bf0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: string; ValueName: "HelpLink"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: string; ValueName: "HelpTelephone"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: string; ValueName: "InstallDate"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: string; ValueName: "InstallLocation"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}}"; ValueType: string; ValueName: "InstallSource"; ValueData: "{tmp}"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: dword; ValueName: "Language"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: dword; ValueName: "NoModify"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: dword; ValueName: "NoRemove"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: dword; ValueName: "NoRepair"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: string; ValueName: "Publisher"; ValueData: "Activision"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: string; ValueName: "Readme"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: string; ValueName: "Size"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: dword; ValueName: "SystemComponent"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: string; ValueName: "URLInfoAbout"; ValueData: "http://www.activision.com"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: string; ValueName: "URLUpdateInfo"; ValueData: ""
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: dword; ValueName: "Version"; ValueData: "$1000000"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: dword; ValueName: "VersionMajor"; ValueData: "$1"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: dword; ValueName: "VersionMinor"; ValueData: "$0"
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Uninstall\{{FA1CCCF5-8F05-4560-96D7-326ECA7B3275}"; ValueType: dword; ValueName: "WindowsInstaller"; ValueData: "$1"


