[Setup]
AppName=Silent Hill 3
AppVerName=Silent Hill 3
DefaultDirName={sd}\Games\Silent Hill 3
DefaultGroupName=Silent Hill 3
OutputDir=D:\SH3
OutputBaseFilename=setup
Compression=lzma/ultra
SolidCompression=no
DiskSpanning=yes
DiskSliceSize=730000000
AllowNoIcons=yes
UninstallLogMode=overwrite

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked

[Components]
Name: "rus"; Description: " "; Types: rus
Name: "eng"; Description: " "; Types: eng

[Types]
Name: "rus"; Description: "  ";
Name: "eng"; Description: "  ";

[Files]
Source: "D:\Silent Hill 3\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs
Components: rus; Source: "{src}\Rus\*"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs external

[Icons]
Name: "{group}\  Silent Hill 3"; Filename: "{app}\sh3.exe"; WorkingDir: "{app}"
Name: "{group}\"; Filename: "{app}\SH3Config.exe"; WorkingDir: "{app}"
Name: "{group}\ Silent Hill 3"; Filename: "{uninstallexe}"; WorkingDir: "{app}"
Name: "{userdesktop}\Silent Hill 3"; Filename: "{app}\sh3.exe"; Tasks: desktopicon; WorkingDir: "{app}"

[Registry]
Root: HKLM; Subkey: "Software\KONAMI"; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\KONAMI\SILENT HILL 3"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\KONAMI\SILENT HILL 3"; ValueType: string; ValueName: "data"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\KONAMI\SILENT HILL 3"; ValueType: string; ValueName: "ExePath"; ValueData: "{app}\sh3.exe"
Root: HKLM; Subkey: "Software\KONAMI\SILENT HILL 3"; ValueType: string; ValueName: "installdir"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\KONAMI\SILENT HILL 3"; ValueType: string; ValueName: "movie"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\KONAMI\SILENT HILL 3"; ValueType: string; ValueName: "save"; ValueData: "{app}\savedata"
Root: HKLM; Subkey: "Software\KONAMI\SILENT HILL 3"; ValueType: string; ValueName: "sound"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\KONAMI\SILENT HILL 3"; ValueType: string; ValueName: "uninstall"; ValueData: "{uninstallexe}"

